# IConsoleAlias Struct Reference

--Aliases-- Aliases are like shortcuts for complex functions, variable assignments, etc. More...

`#include <console_internal.h>`

## Data Fields
char * | name
| name of the alias
IConsoleAlias * | next
| next alias in list
char * | cmdline
| command(s) that is/are being aliased

## Detailed Description

--Aliases-- Aliases are like shortcuts for complex functions, variable assignments, etc.

You can use a simple alias to rename a longer command (eg 'set' for 'setting' for example), or concatenate more commands into one (eg. 'ng' for 'load A; unpause; debug_level 5'). Aliases can parse the arguments given to them in the command line.

- "%A - %Z" substitute arguments 1 t/m 26
- "%+" lists all parameters keeping them seperated
- "%!" also lists all parameters but presenting them to the aliased command as one argument
- ";" allows for combining commands (see example 'ng')

Definition at line 50 of file console_internal.h.

The documentation for this struct was generated from the following file:

- src/console_internal.h